      program testdev
      implicit none

      include 'vogle.fi'

      real*4 ratio,wf,hf
      integer*4 val

      call getdevices
      ratio= getaspect()
      call getfactors( wf,hf )
      write(6,100) ratio,wf,hf
 100  format('ratio: ',f10.5,'  wf: ',f10.5,'  hf: ',f10.5)
      val= getkey()
      call TurnScreenOn(ratio)
      write(6,100) ratio,wf,hf
      val= getkey()
      call TurnPrinterOn(ratio)
      write(6,100) ratio,wf,hf
      val= getkey()
      stop 
      end
